Download it now!
Bug 35392 - FILESAVE: Hyperlinks in form field buttons lost in .xls
Summary: FILESAVE: Hyperlinks in form field buttons lost in .xls
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.1:Linux
Keywords:
: 64919 (view as bug list)
Depends on:
Blocks: XLS Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2011-03-17 10:44 UTC by q12w
Modified: 2019-11-27 03:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Details with screenshots (249.08 KB, application/vnd.oasis.opendocument.text)
2011-03-17 10:44 UTC, q12w
Details
Sample, see Comment 1 (9.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-03-17 12:02 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description q12w 2011-03-17 10:44:16 UTC
Created attachment 44550 [details]
Details with screenshots

Hyperlinks does not work after file saving and reopening. 
The problem occurs when we using button-style hyperlink in .XLS files.

More details (with screenshots) in attachment...
Comment 1 Rainer Bielefeld Retired 2011-03-17 12:01:04 UTC
I can reproduce the effect with an own sample document "mytest2.ods" and "LibreOffice 3.3.2RC1  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:201 / tag 3.3.2.1)]". After having saved document as EXCEL 97, all hyperlinks in buttons will be lost. 

In control field I see hyperlinks are missing, and they are greyed out, no new hyperlink can be created.

May be that behavior is intended because EXCEL does not support buttons with hyperlinks? I can't tell

@q12w@bk.ru:
Your OS / Platform?
Comment 2 Rainer Bielefeld Retired 2011-03-17 12:02:48 UTC
Created attachment 44551 [details]
Sample, see Comment 1

Save as .XLS (97), close and reopen, then you should see missing hyperlinks in Sheet3.
Comment 3 Katarina Behrens 2011-03-23 09:56:36 UTC
Taking this one
Comment 4 Owen Genat (retired) 2013-05-20 05:59:32 UTC
I have tested the provided file from comment #2 under MacOS 10.6.8 and Ubuntu 10.04 x86_64, both running v4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539). The problem as described in the attachment to the original description still exists. Basically, if the Insert > Hyperlink option is used to create a link with a Form of "Button" it will not survive being saved as XLS. Whether CTRL+click, SHIFT+click, CMD+click, or simply clicking on the button, the link remains inactive. Tests with newly created files (under v4.0.3.3) reveal identical behaviour.
Comment 5 ign_christian 2013-05-20 08:11:29 UTC
confirmed reproducible on LO 3.6.6 (Ubuntu 12.04 32bit) & LO 4.0.3 (Win7 32bit)

save as .xlsx generates different behavior: buttons removed, links removed or exist
Comment 6 ratyhe 2013-05-23 18:19:19 UTC
*** Bug 64919 has been marked as a duplicate of this bug. ***
Comment 7 Zeki Bildirici 2014-01-18 22:09:18 UTC
Still reproducable on Ubuntu 13.10 x64, LibreOffice Version: 4.2.0.1
Build ID: 420m0(Build:1)


Also saving to xlsx is disaster :(


Best regards,
Zeki
Comment 8 retired 2014-01-19 09:08:43 UTC
Freeing this bug since no action for a long time.
Comment 9 Henrique Meira 2015-02-02 17:08:28 UTC
I've got the same problem.
Solved using the =HIPERLINK() function.
More details how to use this function, see https://help.libreoffice.org/Calc/Spreadsheet_Functions#HYPERLINK
Comment 10 Yogesh Bharate 2015-04-21 07:26:01 UTC
This issue is reproducible on latest Ubuntu build.

Build ID :
Version: 5.0.0.0.alpha1+
Build ID: f8d55544a42abd0ddc7a0d97cce2aedd0487ca88
Locale: en_IN
Comment 11 Xisco Faulí 2016-04-27 12:07:15 UTC
This issue is still reproducible in

Version: 5.2.0.0.alpha1+
Build ID: e7f55f15ccd97bc92e1400bc5862171a621da3e2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-04-27_00:29:05
Locale: es-ES (es_ES)
Comment 12 QA Administrators 2017-05-22 13:21:55 UTC Comment hidden (obsolete)
Comment 13 Roman Kuznetsov 2018-11-26 11:31:21 UTC
still repro in 

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 14 QA Administrators 2019-11-27 03:45:21 UTC
Dear q12w,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug